- [CMSBundle](#cmsbundle)
- [OrderBundle](#orderbundle)
- [PayPalBundle](#paypalbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [WebsiteSearchBundle](#websitesearchbundle)

CMSBundle
---------
* The `DigitalAssetTwigTagsWysiwygExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/CMSBundle/Form/Extension/DigitalAssetTwigTagsWysiwygExtension.php#L15 "Oro\Bundle\CMSBundle\Form\Extension\DigitalAssetTwigTagsWysiwygExtension")</sup> class was removed.
* The `WYSIWYGType::__construct(HtmlTagProvider $htmlTagProvider, HTMLPurifierScopeProvider $purifierScopeProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/CMSBundle/Form/Type/WYSIWYGType.php#L28 "Oro\Bundle\CMSBundle\Form\Type\WYSIWYGType")</sup> method was changed to `WYSIWYGType::__construct(HtmlTagProvider $htmlTagProvider, HTMLPurifierScopeProvider $purifierScopeProvider, DigitalAssetTwigTagsConverter $digitalAssetTwigTagsConverter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/CMSBundle/Form/Type/WYSIWYGType.php#L25 "Oro\Bundle\CMSBundle\Form\Type\WYSIWYGType")</sup>
* The `ComputeWYSIWYGAttributes::__construct(WYSIWYGFieldsProvider $wysiwygFieldsProvider, string $attributesFieldName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/CMSBundle/Api/Processor/ComputeWYSIWYGAttributes.php#L25 "Oro\Bundle\CMSBundle\Api\Processor\ComputeWYSIWYGAttributes")</sup> method was changed to `ComputeWYSIWYGAttributes::__construct(WYSIWYGFieldsProvider $wysiwygFieldsProvider, WYSIWYGValueRenderer $wysiwygValueRenderer, string $attributesFieldName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/CMSBundle/Api/Processor/ComputeWYSIWYGAttributes.php#L30 "Oro\Bundle\CMSBundle\Api\Processor\ComputeWYSIWYGAttributes")</sup>
* The following methods in class `ConfigureWYSIWYGFields`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/CMSBundle/Api/Processor/ConfigureWYSIWYGFields.php#L42 "Oro\Bundle\CMSBundle\Api\Processor\ConfigureWYSIWYGFields")</sup> were changed:
  > - `__construct(WYSIWYGFieldsProvider $wysiwygFieldsProvider, bool $excludeWysiwygProperties = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/CMSBundle/Api/Processor/ConfigureWYSIWYGFields.php#L32 "Oro\Bundle\CMSBundle\Api\Processor\ConfigureWYSIWYGFields")</sup>
  > - `__construct(WYSIWYGFieldsProvider $wysiwygFieldsProvider, EntityFieldFilteringHelper $entityFieldFilteringHelper, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/CMSBundle/Api/Processor/ConfigureWYSIWYGFields.php#L42 "Oro\Bundle\CMSBundle\Api\Processor\ConfigureWYSIWYGFields")</sup>

  > - `createWysiwygField(EntityDefinitionConfig $definition, string $fieldName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/CMSBundle/Api/Processor/ConfigureWYSIWYGFields.php#L96 "Oro\Bundle\CMSBundle\Api\Processor\ConfigureWYSIWYGFields")</sup>
  > - `createWysiwygField(EntityDefinitionConfig $definition, string $wysiwygFieldName, bool $excluded, string $sourceWysiwygFieldName = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/CMSBundle/Api/Processor/ConfigureWYSIWYGFields.php#L200 "Oro\Bundle\CMSBundle\Api\Processor\ConfigureWYSIWYGFields")</sup>


OrderBundle
-----------
* The `MoveOrderToUpdateTotalsFromSharedDataToContext`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/OrderBundle/Api/Processor/MoveOrderToUpdateTotalsFromSharedDataToContext.php#L12 "Oro\Bundle\OrderBundle\Api\Processor\MoveOrderToUpdateTotalsFromSharedDataToContext")</sup> class was removed.
* The `UpdateOrderTotals::__construct(TotalHelper $totalHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/OrderBundle/Api/Processor/UpdateOrderTotals.php#L27 "Oro\Bundle\OrderBundle\Api\Processor\UpdateOrderTotals")</sup> method was changed to `UpdateOrderTotals::__construct(TotalHelper $totalHelper, FormValidationHandler $validator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/OrderBundle/Api/Processor/UpdateOrderTotals.php#L34 "Oro\Bundle\OrderBundle\Api\Processor\UpdateOrderTotals")</sup>

PayPalBundle
------------
* The `PayflowIPCheckListener::__construct(RequestStack $requestStack, PaymentMethodProviderInterface $paymentMethodProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PayPalBundle/EventListener/Callback/PayflowIPCheckListener.php#L39 "Oro\Bundle\PayPalBundle\EventListener\Callback\PayflowIPCheckListener")</sup> method was changed to `PayflowIPCheckListener::__construct(RequestStack $requestStack, PaymentMethodProviderInterface $paymentMethodProvider, array $allowedIPs)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/PayPalBundle/EventListener/Callback/PayflowIPCheckListener.php#L51 "Oro\Bundle\PayPalBundle\EventListener\Callback\PayflowIPCheckListener")</sup>

PricingBundle
-------------
* The `AbstractShardQueryExecutor::getColumns`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PricingBundle/ORM/AbstractShardQueryExecutor.php#L144 "Oro\Bundle\PricingBundle\ORM\AbstractShardQueryExecutor::getColumns")</sup> method was removed.
* The `AbstractShardQueryExecutor::$tablesColumns`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PricingBundle/ORM/AbstractShardQueryExecutor.php#L20 "Oro\Bundle\PricingBundle\ORM\AbstractShardQueryExecutor::$tablesColumns")</sup> property was removed.
* The `LocaleSettings::__construct(LocaleSettings $inner, FrontendHelper $frontendHelper, UserLocalizationManagerInterface $localizationManager, UserCurrencyManager $currencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PricingBundle/Model/LocaleSettings.php#L27 "Oro\Bundle\PricingBundle\Model\LocaleSettings")</sup> method was changed to `LocaleSettings::__construct(LocaleSettings $inner, FrontendHelper $frontendHelper, UserLocalizationManagerInterface $localizationManager, UserCurrencyManager $currencyManager, LayoutContextHolder $layoutContextHolder, ThemeManager $themeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/PricingBundle/Model/LocaleSettings.php#L31 "Oro\Bundle\PricingBundle\Model\LocaleSettings")</sup>
* The `CombinedProductPriceRepository::findByPriceListIdAndProductIds(ShardManager $shardManager, $priceListId, array $productIds, $getTierPrices = true, $currency = null, $productUnitCode = null, array $orderBy = [ ... ])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L197 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup> method was changed to `CombinedProductPriceRepository::findByPriceListIdAndProductIds(ShardManager $shardManager, $priceListId, array $productIds, $getTierPrices = true, $currency = null, $productUnitCode = null, array $orderBy = [ ... ])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L351 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>
* The `PriceListAssignedProductsProcessor::__construct(ManagerRegistry $doctrine, LoggerInterface $logger, PriceListProductAssignmentBuilder $assignmentBuilder, Messenger $messenger, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PricingBundle/Async/PriceListAssignedProductsProcessor.php#L47 "Oro\Bundle\PricingBundle\Async\PriceListAssignedProductsProcessor")</sup> method was changed to `PriceListAssignedProductsProcessor::__construct(ManagerRegistry $doctrine, LoggerInterface $logger, PriceListProductAssignmentBuilder $assignmentBuilder, Messenger $messenger, TranslatorInterface $translator, PriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/PricingBundle/Async/PriceListAssignedProductsProcessor.php#L52 "Oro\Bundle\PricingBundle\Async\PriceListAssignedProductsProcessor")</sup>
* The `PriceRuleProcessor::__construct(ManagerRegistry $doctrine, LoggerInterface $logger, ProductPriceBuilder $priceBuilder, Messenger $messenger, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/PricingBundle/Async/PriceRuleProcessor.php#L48 "Oro\Bundle\PricingBundle\Async\PriceRuleProcessor")</sup> method was changed to `PriceRuleProcessor::__construct(ManagerRegistry $doctrine, LoggerInterface $logger, ProductPriceBuilder $priceBuilder, Messenger $messenger, TranslatorInterface $translator, PriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/PricingBundle/Async/PriceRuleProcessor.php#L53 "Oro\Bundle\PricingBundle\Async\PriceRuleProcessor")</sup>

ProductBundle
-------------
* The `WebsiteSearchProductIndexDataProvider::__construct(AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $indexFieldsProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L38 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup> method was changed to `WebsiteSearchProductIndexDataProvider::__construct(AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $indexFieldsProvider, PropertyAccessor $propertyAccessor, SearchableInformationProvider $searchableProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L43 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup>
* The `FrontendVariantFiledType::__construct(ProductVariantAvailabilityProvider $productVariantAvailabilityProvider, ProductVariantTypeHandlerRegistry $productVariantTypeHandlerRegistry, VariantFieldProvider $variantFieldProvider, PropertyAccessor $propertyAccessor, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/ProductBundle/ProductVariant/Form/Type/FrontendVariantFiledType.php#L53 "Oro\Bundle\ProductBundle\ProductVariant\Form\Type\FrontendVariantFiledType")</sup> method was changed to `FrontendVariantFiledType::__construct(ProductVariantAvailabilityProvider $productVariantAvailabilityProvider, ProductVariantTypeHandlerRegistry $productVariantTypeHandlerRegistry, VariantFieldProvider $variantFieldProvider, UserLocalizationManagerInterface $userLocalizationManager, PropertyAccessor $propertyAccessor, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/ProductBundle/ProductVariant/Form/Type/FrontendVariantFiledType.php#L54 "Oro\Bundle\ProductBundle\ProductVariant\Form\Type\FrontendVariantFiledType")</sup>
* The `ProductAccessExceptionListener::onAccessException(GetResponseForExceptionEvent $event)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/ProductBundle/EventListener/ProductAccessExceptionListener.php#L31 "Oro\Bundle\ProductBundle\EventListener\ProductAccessExceptionListener")</sup> method was changed to `ProductAccessExceptionListener::onAccessException(ExceptionEvent $event)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/ProductBundle/EventListener/ProductAccessExceptionListener.php#L35 "Oro\Bundle\ProductBundle\EventListener\ProductAccessExceptionListener")</sup>
* The `WebsiteSearchMappingListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $fieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchMappingListener.php#L40 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchMappingListener")</sup> method was changed to `WebsiteSearchMappingListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $fieldsProvider, SearchableInformationProvider $searchableProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchMappingListener.php#L46 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchMappingListener")</sup>
* The `FrontendVariantFiledType::setUserLocalizationManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.2.0/src/Oro/Bundle/ProductBundle/ProductVariant/Form/Type/FrontendVariantFiledType.php#L70 "Oro\Bundle\ProductBundle\ProductVariant\Form\Type\FrontendVariantFiledType::setUserLocalizationManager")</sup> method was removed.

WebsiteSearchBundle
-------------------
* The `SearchAttributeTypeInterface::getSearchableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/5.0.0-alpha.1/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/SearchAttributeTypeInterface.php#L89 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\SearchAttributeTypeInterface::getSearchableFieldName")</sup> interface method was added.

